#!/usr/bin/env python
# Copyright 2012 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

"""Exceptions used during subcommand execution and args validation."""

__metaclass__ = type
__all__ = [
    'LPSetupError',
    'ValidationError',
    ]


class LPSetupError(Exception):
    """Base exception for lpsetup."""


class ValidationError(LPSetupError):
    """Argparse invalid arguments."""


class ExecutionError(LPSetupError):
    """Error occurring during script execution."""
