#!/usr/bin/env python
# Copyright 2012 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

"""Version subcommand: display lpsetup version."""

__metaclass__ = type
__all__ = [
    'SubCommand',
    ]

import os
import sys

from lpsetup import (
    argparser,
    get_version,
    )


class SubCommand(argparser.BaseSubCommand):
    """Display the software version."""

    help = __doc__

    def run(self, namespace):
        app_name = os.path.basename(sys.argv[0])
        print '{0} v{1}'.format(app_name, get_version())
