#!/usr/bin/env python
# Copyright 2012 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

"""Tests for the version sub command."""

import unittest

from lpsetup import get_version
from lpsetup.subcommands import version
from lpsetup.tests.utils import (
    capture_output,
    SubCommandTestMixin,
    )


class VersionTest(SubCommandTestMixin, unittest.TestCase):

    sub_command_class = version.SubCommand

    def test_sub_command(self):
        with capture_output() as output:
            self.parse_and_call_main()
        bits = output.getvalue().strip().split()
        self.assertEqual('v' + get_version(), bits[1])
