#!/usr/bin/env python
# Copyright 2012 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

import distribute_setup
distribute_setup.use_setuptools()
import setuptools

import os
import shutil

project_name = 'lpsetup'

root_dir = os.path.dirname(__file__)
if root_dir:
    os.chdir(root_dir)

data_files = []
for dirpath, dirnames, filenames in os.walk(project_name):
    for i, dirname in enumerate(dirnames):
        if dirname.startswith('.'):
            del dirnames[i]
    if '__init__.py' in filenames:
        continue
    elif filenames:
        for f in filenames:
            data_files.append(os.path.join(dirpath[len(project_name) + 1:], f))

project = __import__(project_name)
long_description = open(os.path.join(root_dir, 'README.rst')).read()

# Create the `lp-lxc-ip` script.
shutil.copyfile('lplxcip/lxcip.py', 'lp-lxc-ip')

setuptools.setup(
    name=project_name,
    version=project.get_version(),
    description=project.__doc__,
    long_description=long_description,
    author='Launchpad Developers',
    author_email='launchpad-dev@lists.launchpad.net',
    url='https://launchpad.net/lpsetup',
    scripts=['lp-setup', 'lp-lxc-ip'],
    install_requires=[
        'pep8',
        ],
    packages=[
        'lpsetup',
        'lpsetup.subcommands',
        ],
    package_data={project_name: data_files},
    classifiers=[
        'Development Status :: 3 - Alpha',
        'Environment :: Console',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: GNU Affero General Public License v3',
        'Operating System :: POSIX :: Linux',
        'Programming Language :: Python',
        'Topic :: Utilities'
        ],

    )
